routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::resource('artist', 'ArtistController');
Route::resource('movie', 'MovieController');
Route::resource('cinema', 'CinemaController');
Route::resource('room', 'RoomController');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

resources/views/movies/create.blade.php
@extends('layouts.app')

@section('title', 'Create Movie')

@section('content')

<div class="container" style="margin-top: 10em; width: 30%;">
  <p><a href="{{ route('movie.index') }}">Go back</a></p>
  <h1>Create new movie</h1>

  <form method="POST" action="{{ route('movie.store') }}" enctype="multipart/form-data">
    {{ csrf_field() }}
  
    <div class="form-group">
      <label for="title">Title</label>
      <input type="text"
        name="title"
        id="title"
        class="form-control"
        value=""
        required
      />
    </div>

    <div class="form-group form-check">
      <label for="year">Year</label>
      <input 
        type="text"
        name="year"
        id="year"
        class="form-control"
        value="" 
        required
      />
    </div>
    <div class="form-group">
      <label for="poster">Select an realisator</label>
    <select name="artist_id" class="form-control">
      @foreach($artists as $artist)
        <option value="{{ $artist->id }}">{{ $artist->name }} {{ $artist->firstname }}</option>
      @endforeach
    </select>
  </div>


    <div class="form-group">
      <label for="poster">Select a poster</label>
      <input type="file" class="form-control-file" id="poster">
    </div>

    <button type="submit" class="btn btn-primary">Submit</button>
  </form>
</div>
@endsection

resources/views/movies/edit.blade.php
@extends('layouts.app')

@section('title', 'Movie Title')

@section('content')
<div class="container" style="margin-top: 10em; width: 30%;">
  
  <form method="POST" action="{{ route('movie.update', $movie->id) }}" enctype="multipart/form-data">
    {{ csrf_field() }}
    {{ method_field('PUT') }}
    
    <p><a href="{{ route('movie.index') }}">Go back</a></p>


    <div class="form-group">
      <label for="title">Title</label>
      <input type="text"
        name="title"
        id="title"
        class="form-control"
        value="{{ $movie->title }}"
        required
      />
    </div>

    <div class="form-group form-check">
      <label for="year">Year</label>
      <input 
        type="text"
        name="year"
        id="year"
        class="form-control"
        value="{{ $movie->year}}" 
        required
      />
    </div>
    <div class="form-group">
      <label for="poster">Select a poster</label>
      <input type="file" class="form-control-file" id="poster">
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>
  </form>
</div>
@endsection

resources/views/movies/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container mx-auto" style="width: 800px; margin-top:50px">
  <h1>List of movies</h1>
  <h4 style="padding-bottom:30px"><a href ="{{ route('movie.create')}}">Create new movie</a></h4>
 
  <table class="table table-stpied table-centered">
    <thead>
      <tr>
        <th>{{__('Title')}}</th>
        <th>{{__('Year')}}</th>
        <th>{{__('Poster')}}</th>
        <th>{{__('Actions')}}</th>
      </tr>
    </thead>
    <tbody>
      @foreach($movies as $movie)
      <tr>
        <td>{{ $movie->title }}</td>
        <td>{{ $movie->year }}</td>
        <td><img src="./uploads/posters/poster_{{ $movie->id }}.png" alt=""></td>
        <td>
          <a type="button" 
            href="{{ route('movie.edit', $movie->id )}}" 
            class="btn"
            data-toggle="tooltip"
            title="@lang('Edit movie') {{ $movie->title }}">
            Edit <i class="fas fa-edit"></i>
          </a>
          <a type="button" 
            href="{{ route('movie.destroy', $movie->id )}}" 
            class="btn-delete"
            title="@lang('Delete movie') {{ $movie->title }}">
            Delete <i class="fas fa-trash-alt"></i>
          </a>
        </td>
      </tr>
      @endforeach
    </tbody>
  </table>
  
</div>

<!--pagination pour changer de page-->
{{ $movies->appends(request()->except('page'))->links() }}
</div>
  <!--securité + onclick btn delete-->
<script>
  $.ajaxSetup({
    headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}
  })

  $(document).on('click', '.btn-delete', function(){

    let button = $(this);

    $.ajax ({
      url: $(this).attr('href'),
      type: 'DELETE'
    }).done(function(){
      $(button).closest('tr').remove();
    });
    return false;
  });
</script>

@endsection